<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="750px"
    android:layout_height="1492px"
    android:background="@drawable/share_poster_shot_bg"
    tools:ignore="PxUsage">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/share_poster_shot_news_bg"
        android:minHeight="64px"
        android:paddingHorizontal="24px"
        android:paddingVertical="4px"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_news"
            android:layout_width="42px"
            android:layout_height="42px"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/share_poster_shot_news_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_news"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12px"
            android:ellipsize="end"
            android:gravity="start"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF466811"
            android:textSize="22px"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/iv_news"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="在 11.11 与「用户xxx」进行了一场「网球」比赛,在 11.11 与「用户xxx」进行了一场「网球」比赛" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="686px"
        android:layout_height="870px"
        android:layout_marginTop="118px"
        android:paddingHorizontal="32px"
        android:paddingTop="25px"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="36px"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toStartOf="@id/v_gender"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Super Beautiful Girl Super Beautiful Girl Super Beautiful Girl" />

        <com.adealink.weparty.module.profile.widget.GenderView
            android:id="@+id/v_gender"
            style="@style/CommonGenderView"
            android:layout_marginEnd="48px"
            app:layout_constraintBottom_toBottomOf="@id/tv_name"
            app:layout_constraintEnd_toStartOf="@id/v_barrier_end"
            app:layout_constraintStart_toEndOf="@id/tv_name"
            app:layout_constraintTop_toTopOf="@id/tv_name" />

        <androidx.constraintlayout.widget.Barrier
            android:id="@+id/v_barrier_end"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:barrierDirection="start"
            app:constraint_referenced_ids="iv_evaluate_star" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_evaluate_star"
            android:layout_width="36px"
            android:layout_height="36px"
            app:layout_constraintBottom_toBottomOf="@id/tv_name"
            app:layout_constraintEnd_toStartOf="@id/tv_evaluate"
            app:layout_constraintTop_toTopOf="@id/tv_name"
            app:srcCompat="@drawable/common_evaluate_star_selected_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_evaluate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="36px"
            app:layout_constraintBottom_toBottomOf="@id/tv_name"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_name"
            tools:text="4.2" />

        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_photo"
            android:layout_width="0px"
            android:layout_height="0px"
            android:layout_marginTop="18px"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_name"
            app:roundedCornerRadius="40px" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_summary"
            android:layout_width="0px"
            android:layout_height="wrap_content"
            android:layout_marginTop="28px"
            android:gravity="start"
            android:includeFontPadding="false"
            android:paddingStart="24px"
            android:paddingEnd="40px"
            android:textColor="@color/color_FF4E5969"
            android:textSize="28px"
            app:layout_constrainedHeight="true"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@id/iv_photo"
            app:layout_constraintStart_toStartOf="@id/iv_photo"
            app:layout_constraintTop_toBottomOf="@id/iv_photo"
            app:layout_constraintVertical_bias="0"
            tools:text="Hello brother, multiple seasons of S, online，tiple seasons of S, online，" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="686px"
        android:layout_height="200px"
        android:layout_marginTop="988px"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="86px"
            android:layout_height="44px"
            android:layout_marginStart="-20px"
            android:layout_marginTop="-4px"
            app:layout_constraintStart_toStartOf="@id/tv_game_title"
            app:layout_constraintTop_toTopOf="@id/tv_game_title"
            app:srcCompat="@drawable/share_poster_game_title_bg" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_game_title"
            android:layout_width="120px"
            android:layout_height="wrap_content"
            android:layout_marginStart="12px"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="start"
            android:includeFontPadding="false"
            android:text="@string/share_share_poster_game_title"
            android:textColor="@color/color_FF1D2129"
            android:textSize="28px"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintEnd_toStartOf="@id/v_game_1"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="spread"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <include
            android:id="@+id/v_game_1"
            layout="@layout/layout_share_poster_shot_game_item"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/v_game_2"
            app:layout_constraintStart_toEndOf="@id/tv_game_title"
            app:layout_constraintTop_toTopOf="parent" />

        <include
            android:id="@+id/v_game_2"
            layout="@layout/layout_share_poster_shot_game_item"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/v_game_3"
            app:layout_constraintStart_toEndOf="@id/v_game_1"
            app:layout_constraintTop_toTopOf="parent" />

        <include
            android:id="@+id/v_game_3"
            layout="@layout/layout_share_poster_shot_game_item"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/v_game_2"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="304px"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_logo"
            android:layout_width="206px"
            android:layout_height="60px"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/iv_qr_code"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_app_logo_ic" />


        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_qr_code"
            android:layout_width="196px"
            android:layout_height="196px"
            android:layout_marginStart="75px"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/iv_logo"
            app:layout_constraintTop_toTopOf="parent"
            app:roundedCornerRadius="24px" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>